
/**
 * Ein Objekt der Klasse TGUI ist zustndig fr die Erzeugung und
 * Aktivierung des TSpielmanager-Objekts und insbesondere auch fr die Anzeige
 * der Spielergebnisse.
 *
 * @author K. Becker 
 * @version 22.12.05
 */

public class TGUI
{
  private
    TSpielmanager spielmanager;
  
  /**
   * Erzeuge ein Objekt der Klasse TGUI.
   */
  TGUI()
  {
    spielmanager = new TSpielmanager();
  }

  /**
   * Aktiviere das Spiel und zeige die Ergebnisse an.
   */
  void spielDatenAnzeigen()
  {
    System.out.println("Spielbrett : " + spielmanager.getSpielzahl());
    System.out.println("Wuerfel A  : " + spielmanager.getWuerfelA());
    System.out.println("Wuerfel B  : " + spielmanager.getWuerfelB());
    System.out.println("Wuerfel C  : " + spielmanager.getWuerfelC());
    System.out.println("Konto      : " + spielmanager.getKonto());
    System.out.println();
  }

  void BEinsatzZahlenClick()
  {
    spielmanager.einsatzZahlen();
  }

  void RGSpielbrettClick(int tipp)
  {
    spielmanager.spielzahlSetzen(tipp);
  }

  void BWuerfelWerfenClick()
  {
    spielmanager.wuerfelWerfen();
  }
  
  void BGewinnVerbuchenClick()
  {
    spielmanager.gewinnVerbuchen();
  }


}
