
/**
 * Die Klasse TKonto modelliert ein einfaches Konto.
 * 
 * @author K. Becker 
 * @version 15.08.05
 */

public class TKonto
{
  int stand = 0;

  /**
   * Erzeuge ein Objekt der Klasse TKonto mit dem bergebenen Startkapital.
   */
  public TKonto(int startkapital)
  {
    stand = startkapital;
  }
  
  /**
   * Zahle den bergebenen Betrag auf das Konto ein.
   */
  public void einzahlen(int betrag)
  {
    stand = stand + betrag;
  }

  /**
   * Hebe den bergebenen Betrag vom Konto ab.
   */
  public void abheben(int betrag)
  {
    stand = stand - betrag;
  }

  /**
   * Gib den aktuelle Kontostand zurck.
   */
  public int getStand()
  {
    return stand;
  }


}
