unit uSpielmanager;

interface

uses uWuerfel;

type
  TSpielmanager = class
  private
    wuerfelA: TWuerfel;
  public
    constructor create;
    destructor destroy; override;
    procedure wuerfelWerfen;
    function getWuerfelA: integer;
  end;

implementation

constructor TSpielmanager.create;
begin
  wuerfelA := TWuerfel.create;
end;

destructor TSpielmanager.destroy;
begin
  wuerfelA.free;
end;

procedure TSpielmanager.wuerfelWerfen;
begin
  wuerfelA.werfen;
end;

function TSpielmanager.getWuerfelA: integer;
begin
  result := wuerfelA.getAugen;
end;

end.
