unit uGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  uWuerfel, uSpielmanager;

type
  TGUI = class(TForm)
    PTitel: TPanel;
    GBWuerfel: TGroupBox;
    GBKonto: TGroupBox;
    PWuerfelA: TPanel;
    PWuerfelB: TPanel;
    PWuerfelC: TPanel;
    PKonto: TPanel;
    RGSpielbrett: TRadioGroup;
    BGewinnVerbuchen: TButton;
    BWuerfelWerfen: TButton;
    BEinsatzZahlen: TButton;
    procedure FormCreate(Sender: TObject);
    procedure RGSpielbrettClick(Sender: TObject);
    procedure BGewinnVerbuchenClick(Sender: TObject);
    procedure BWuerfelWerfenClick(Sender: TObject);
    procedure BEinsatzZahlenClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
    wuerfelA: TWuerfel;
    spielmanager: TSpielmanager;
    procedure spielDatenAnzeigen;
  public
    { Public-Deklarationen }
  end;

var
  GUI: TGUI;


implementation

{$R *.DFM}

procedure TGUI.spieldatenAnzeigen;
begin
  PWuerfelA.Caption  := IntToStr(wuerfelA.getAugen);
end;

procedure TGUI.FormCreate(Sender: TObject);
begin
  randomize;
  wuerfelA := TWuerfel.create;
  spielmanager := TSpielmanager.create(wuerfelA);
  spielDatenAnzeigen;
end;

procedure TGUI.RGSpielbrettClick(Sender: TObject);
begin
  // ...
end;

procedure TGUI.BGewinnVerbuchenClick(Sender: TObject);
begin
  // ...
end;

procedure TGUI.BWuerfelWerfenClick(Sender: TObject);
begin
  // Aktualisierung der Modell-Objekte
  spielmanager.wuerfelWerfen;
  // Aktualisierung der Anzeige
  spielDatenAnzeigen;
end;

procedure TGUI.BEinsatzZahlenClick(Sender: TObject);
begin
  // ...
end;

procedure TGUI.FormDestroy(Sender: TObject);
begin
  wuerfelA.free;
  spielmanager.free;
end;

end.
