unit uDigitalUhr;

interface

uses uModuloZaehler;

type
  TDigitalUhr = class
  private
    sZaehler: TModuloZaehler;
    mZaehler: TModuloZaehler;
  public
    constructor create;
    procedure setzen(sWert, mWert: integer);
    procedure rueckSetzen;
    procedure tick;
    function getStundenWert: integer;
    function getMinutenWert: integer;
  end;

implementation

constructor TDigitalUhr.create;
begin
  sZaehler := TModuloZaehler.create(23);
  mZaehler := TModuloZaehler.create(59);
end;

procedure TDigitalUhr.setzen(sWert, mWert: integer);
begin
  sZaehler.setStand(sWert);
  mZaehler.setStand(mWert);
end;

procedure TDigitalUhr.rueckSetzen;
begin
  sZaehler.nullSetzen;
  mZaehler.nullSetzen;
end;

procedure TDigitalUhr.tick;
begin
  mZaehler.weiterZaehlen;
  if mZaehler.getStand = 0 then
    sZaehler.weiterZaehlen;
end;

function TDigitalUhr.getStundenWert: integer;
begin
  result := sZaehler.getStand;
end;

function TDigitalUhr.getMinutenWert: integer;
begin
  result := mZaehler.getStand;
end;

end.
