unit uGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin, uDigitalUhr;

type
  TGUI = class(TForm)
    PTitel: TPanel;
    GBAnzeige: TGroupBox;
    GBKontrolle: TGroupBox;
    PStunde: TPanel;
    PMinute: TPanel;
    SpEdStunde: TSpinEdit;
    SpEdMinute: TSpinEdit;
    BSetzen: TButton;
    BReuckSetzen: TButton;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BReuckSetzenClick(Sender: TObject);
    procedure BSetzenClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
    digitalUhr: TDigitalUhr;
  public
    procedure zeitAnzeigen;
    { Public-Deklarationen }
  end;

var
  GUI: TGUI;


implementation

{$R *.DFM}

procedure TGUI.zeitAnzeigen;
begin
  if digitalUhr.getStundenWert < 10 then
    PStunde.Caption := '0' + IntToStr(digitalUhr.getStundenWert)
  else
    PStunde.Caption := IntToStr(digitalUhr.getStundenWert);
  if digitalUhr.getMinutenWert < 10 then
    PMinute.Caption := '0' + IntToStr(digitalUhr.getMinutenWert)
  else
    PMinute.Caption := IntToStr(digitalUhr.getMinutenWert);
end;

procedure TGUI.FormCreate(Sender: TObject);
begin
  digitalUhr := TDigitalUhr.create;
  zeitAnzeigen;
end;

procedure TGUI.FormDestroy(Sender: TObject);
begin
  digitalUhr.free;
end;

procedure TGUI.BReuckSetzenClick(Sender: TObject);
begin
  digitalUhr.rueckSetzen;
  zeitAnzeigen;
end;

procedure TGUI.BSetzenClick(Sender: TObject);
begin
  digitalUhr.setzen(SpEdStunde.value,SpEdMinute.value);
  zeitAnzeigen;
end;

procedure TGUI.Timer1Timer(Sender: TObject);
begin
  digitalUhr.tick;
  zeitAnzeigen;
end;

end.
